package org.qriterium.connection;

/**
 * Connection of the "aware_of"-type
 * 
 * @author Mikko
 *
 */
public class AwareOfConnection extends QConnection {

	public static final String TYPE = "aware_of";
	
	/**
	 * Constructs a new AwareOfConnection between the given
	 * contents
	 * 
	 * @param from the source content
	 * @param to the target content
	 * @param hash the source hash for this connection
	 * @param rawId the raw id for this connection
	 */
	public AwareOfConnection(long from, 
							 long to,
							 String hash,
							 String rawId) {
		super(from, to, hash, rawId);
	}
	
	public String getTypeString() {
		return TYPE;
	}

}
