package org.qriterium.connection;

/**
 * Connection of the "consists_of"-type
 * 
 * @author Mikko
 *
 */
public class ConsistsOfConnection extends QConnection {

	public static final String TYPE = "consists_of";
	
	/**
	 * Constructs a new ConsistsOfConnection between the given
	 * document and content
	 * 
	 * @param from the source content
	 * @param to the target content
	 * @param hash the source hash for this connection
	 * @param rawId the raw id for this connection
	 */
	public ConsistsOfConnection(long from, 
							 long to,
							 String hash,
							 String rawId) {
		super(from, to, hash, rawId);
	}
	
	public String getTypeString() {
		return TYPE;
	}

}
