package org.qriterium.connection;

/**
 * Connection of the "contacted_at"-type
 * 
 * @author Mikko
 *
 */
public class ContactedAtConnection extends QConnection {

	public static final String TYPE = "contacted_at";
	
	/**
	 * Constructs a new ContactedAtConnection between the given
	 * actors
	 * 
	 * @param from the source content
	 * @param to the target content
	 * @param hash the source hash for this connection
	 * @param rawId the raw id for this connection
	 */
	public ContactedAtConnection(long from, 
							 long to,
							 String hash,
							 String rawId) {
		super(from, to, hash, rawId);
	}
	
	public String getTypeString() {
		return TYPE;
	}

}
