package org.qriterium.connection;

/**
 * Connection of the "created_for"-type
 * 
 * @author Mikko
 *
 */
public class CreatedForConnection extends QConnection {

	public static final String TYPE = "created_for";
	
	/**
	 * Constructs a new CreatedForConnection between the given
	 * actors
	 * 
	 * @param from the source content
	 * @param to the target content
	 * @param hash the source hash for this connection
	 * @param rawId the raw id for this connection
	 */
	public CreatedForConnection(long from, 
							 long to,
							 String hash,
							 String rawId) {
		super(from, to, hash, rawId);
	}

	public String getTypeString() {
		return TYPE;
	}

}
