package org.qriterium.connection;

/**
 * Connection of the "identified_as"-type
 * 
 * @author Mikko
 *
 */
public class IdentifiedAsConnection extends QConnection {

	public static final String TYPE = "identified_as";
	
	/**
	 * Constructs a new IdentifiedAsConnection between the given
	 * statements
	 * 
	 * @param from the source content
	 * @param to the target content
	 * @param hash the source hash for this connection
	 * @param rawId the raw id for this connection
	 */
	public IdentifiedAsConnection(long from, 
							 long to,
							 String hash,
							 String rawId) {
		super(from, to, hash, rawId);
	}

	public String getTypeString() {
		return TYPE;
	}

}
