package org.qriterium.connection;
/**
 * Creates QConnection instances by an identifier string
 * @author Arto
 */
public final class QConnectionFactory {
	
	private QConnectionFactory() { }
	
	/**
	 * Creates QConnection instances by an identifier string
	 * @param connectionType
	 * @return QConnection instance if connectionType matches a QConnection, otherwise null.
	 */
	public static QConnection getInstance(String connectionType) {
		QConnection retVal = null;
		
		if (connectionType.equals(AwareOfConnection.TYPE)) {
			retVal = new AwareOfConnection(0, 0, null, null);
		}
		else if (connectionType.equals(ConsistsOfConnection.TYPE)) {
			retVal = new ConsistsOfConnection(0, 0, null, null);
		}
		else if (connectionType.equals(ContactedAtConnection.TYPE)) {
			retVal = new ContactedAtConnection(0, 0, null, null);
		}
		else if (connectionType.equals(CreatedByConnection.TYPE)) {
			retVal = new CreatedByConnection(0, 0, null, null);
		}
		else if (connectionType.equals(CreatedForConnection.TYPE)) {
			retVal = new CreatedForConnection(0, 0, null, null);
		}
		else if (connectionType.equals(CreatedInConnection.TYPE)) {
			retVal = new CreatedInConnection(0, 0, null, null);
		}
		else if (connectionType.equals(IdentifiedAsConnection.TYPE)) {
			retVal = new IdentifiedAsConnection(0, 0, null, null);
		}
		else if (connectionType.equals(ManagedByConnection.TYPE)) {
			retVal = new ManagedByConnection(0, 0, null, null);
		}
		else if (connectionType.equals(PublishedByConnection.TYPE)) {
			retVal = new PublishedByConnection(0, 0, null, null);
		}
		else if (connectionType.equals(StoredByConnection.TYPE)) {
			retVal = new StoredByConnection(0, 0, null, null);
		}
		else if (connectionType.equals(SupportedByConnection.TYPE)) {
			retVal = new SupportedByConnection(0, 0, null, null);
		} else { 
			// :-)
		}

		return retVal;
	}
}
