package org.qriterium.io;

import java.io.FileInputStream;
import java.io.InputStream;
import java.io.FileNotFoundException;

/**
 * Provides an InputStream from a file
 * @author Mikko
 *
 */
public class FileReader implements DataLeecher {

	private FileInputStream stream;
	private String fileName;
	
	/**
	 * Creates a new FileReader
	 * 
	 * @param file the file to be read from
	 * @throws FileNotFoundException
	 */
	public FileReader(String file) throws FileNotFoundException {
		this.fileName = file;
		this.stream = new FileInputStream(file);
	}
	
	/**
	 * Returns the stream from the input file
	 * @return the stream from the input file
	 */
	public InputStream getInputStream() {
		return this.stream;
	}

	/**
	 * Returns the filename that is being read
	 * @return the filename that is being read
	 */
	public String getFileName() {
		return this.fileName;
	}

}
