package org.qriterium.io;

/**
 * Interface for saving and retrieving an object's state
 * @author Arto
 *
 */
public interface Storable {
	/**
	 * Stores the object's state
	 * @return true if saving was succesfully done, otherwise false
	 */
	public boolean store(String filename);

	/**
	 * Retrieves the object's state
	 * @return true if retrieving was succesfully done, otherwise false
	 */
	public boolean retrieve(String filename);
}
