package org.qriterium.settings;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
//import java.util.HashSet;
//import java.util.Set;

public class SourceState implements Serializable {
	static final long serialVersionUID = 2;
	
	Date lastRun;
	
	long nextFileID;
	long nextSerialID;
	
	long sourceID;

	HashMap<String,FileState> processedFiles;
	
	static SourceState lastState = null;
	
	public SourceState() {
		this.nextFileID = 1;
		this.nextSerialID = 1;
		
		this.sourceID = 0;
		
		this.processedFiles = new HashMap<String,FileState>();
		
		lastState = this;
	}

	public static SourceState getActiveState() {
		return lastState;
	}
	
	public boolean isCompleted(String filename) {
		return this.processedFiles.containsKey(filename);
	}
	
	public ArrayList<String> getFileNames() {
		ArrayList<String> files = new ArrayList<String>(processedFiles.keySet());
		Collections.sort(files);
		return files;
	}
	
	public void setFileState(String filename, FileState fileState) {
		this.processedFiles.put(filename, fileState);
	}	
	public FileState getFileState(String filename) {
		return this.processedFiles.get(filename);
	}
	
	public void setNextFileID() {
		this.nextFileID++;
	}
	public void setNextSerialID() {
		this.nextSerialID++;
	}
	
	public void setSourceID(long id) {
		this.sourceID = id;
	}
	public long getSourceID() {
		return this.sourceID;
	}
	
	public long getNextFileID() {
		return this.nextFileID;
	}	
	public long getNextSerialID() {
		return this.nextSerialID;
	}
	
	public void updateLastRun() {
		this.lastRun = new Date();
	}
	public Date getLastRun() {
		return this.lastRun;
	}
	
	public String toString() {
		StringBuilder str;
		
		str = new StringBuilder(" ");
		for (String s: getFileNames()) {
			str.append(s);
			str.append(" ");
		}
		
		return "SourceState [" + str.toString() + "]";  
	}
}
