package org.qriterium.statement;

import org.qriterium.util.XMLDataElement;
import org.qriterium.util.XMLProperties;

/**
 * QContent-statement (the content of a document)
 * @author Mikko
 * @author Arto
 *
 */
public class QContent extends QStatement {
	
	/**
	 * Creates a new QContent-statement
	 * 
	 * @param hash the source hash for this content
	 * @param rawId the raw id for this content
	 */
	public QContent(String hash, String rawId) {
		super(hash, rawId);
	}
	
	/**
	 * See QStatement's isConnectable()
	 */
	public boolean isConnectable() {
		return true;
	}
	
    /**
     * See QStatement.getEndTag()
     */
	public String getStartTag() {
		return XMLProperties.CONTENT;
	}
	
    /**
     * @see QStatement.getEndTag()
     */
	public String getEndTag() {
		return XMLProperties.CONTENT;
	}
	
    /**
     * QContent data as an XMLDataElement[]
     * @return QContent data
     */
	public XMLDataElement[] getXMLDataElements() {
    	XMLDataElement[] elements = {};
    	return elements;
	}
	
	public String toString() {
		return super.toString() + " is QContent";
	}
}
