package org.qriterium.unit_tests;

import org.qriterium.unit_tests.connection.AwareOfConnectionTest;
import org.qriterium.unit_tests.connection.ConsistsOfConnectionTest;
import org.qriterium.unit_tests.connection.ContactedAtConnectionTest;
import org.qriterium.unit_tests.connection.CreatedForConnectionTest;
import org.qriterium.unit_tests.connection.CreatedInConnectionTest;
import org.qriterium.unit_tests.connection.IdentifiedAsConnectionTest;
import org.qriterium.unit_tests.connection.ManagedByConnectionTest;
import org.qriterium.unit_tests.connection.PublishedByConnectionTest;
import org.qriterium.unit_tests.connection.QConnectionTest;
import org.qriterium.unit_tests.connection.QConnectionFactoryTest;
import org.qriterium.unit_tests.connection.StoredByConnectionTest;
import org.qriterium.unit_tests.connection.SupportedByConnectionTest;
import org.qriterium.unit_tests.statement.RawConnectionTest;

import junit.framework.Test;
import junit.framework.TestSuite;

public class ConnectionTestSuite {

	public static void main(String[] args) {
		junit.textui.TestRunner.run(ConnectionTestSuite.suite());
	}

	public static Test suite() {
		TestSuite suite = new TestSuite(
				"Test for org.qriterium.unit_tests.connection");
		//$JUnit-BEGIN$
		suite.addTestSuite(CreatedInConnectionTest.class);
		suite.addTestSuite(ContactedAtConnectionTest.class);
		suite.addTestSuite(ManagedByConnectionTest.class);
		suite.addTestSuite(AwareOfConnectionTest.class);
		suite.addTestSuite(RawConnectionTest.class);
		suite.addTestSuite(IdentifiedAsConnectionTest.class);
		suite.addTestSuite(CreatedForConnectionTest.class);
		suite.addTestSuite(QConnectionFactoryTest.class);
		suite.addTestSuite(QConnectionTest.class);
		suite.addTestSuite(StoredByConnectionTest.class);
		suite.addTestSuite(SupportedByConnectionTest.class);
		suite.addTestSuite(PublishedByConnectionTest.class);
		suite.addTestSuite(ConsistsOfConnectionTest.class);
		//$JUnit-END$
		return suite;
	}

}
