package org.qriterium.unit_tests.connection;

import org.qriterium.connection.AwareOfConnection;
import org.qriterium.util.XMLDataElement;

import junit.framework.TestCase;

public class QConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.connection.QConnection.toString()'
	 */
	public void testToString() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		assertEquals("QConnection <1 aware_of 2>", conn.toString());
	}

	/*
	 * Test method for 'org.qriterium.connection.QConnection.getXMLDataElements()'
	 */
	public void testGetXMLDataElements() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		XMLDataElement[] elements = conn.getXMLDataElements();
		assertEquals("1", elements[0].getValue());
		assertEquals("2", elements[1].getValue());
	}

	/*
	 * Test method for 'org.qriterium.connection.QConnection.getStartTag()'
	 */
	public void testGetStartTag() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		assertEquals("connection type=\"aware_of\"", conn.getStartTag());
	}

	/*
	 * Test method for 'org.qriterium.connection.QConnection.getEndTag()'
	 */
	public void testGetEndTag() {
		AwareOfConnection conn = new AwareOfConnection(1, 2, "foo", "foo");
		assertEquals("connection", conn.getEndTag());
	}

}
