package org.qriterium.unit_tests.settings;

import java.io.File;
import java.util.ArrayList;

import org.qriterium.settings.Loader;
import org.qriterium.settings.Source;
import org.qriterium.settings.User;

import junit.framework.TestCase;

public class LoaderTest extends TestCase {

    /*
     * Test method for 'org.qriterium.settings.Loader.loadSettings()' with missing file
     */
    public void testLoadSettings() {
    	Loader.setMainConfig("doesnt.exist");
    	Loader.loadSettings();
    	assertEquals(Loader.getDataDir(), null);
    	assertEquals(Loader.getSources(), new ArrayList<Source>());
    	assertEquals(Loader.getUsers(), new ArrayList<User>());
    }

    /*
     * Test method for 'org.qriterium.settings.Loader.loadSettings(String)' with correct file
     */
    public void testLoadSettingsString() {
    	Loader.loadSettings("test/boa.cfg");
    	assertEquals(Loader.getDataDir(), "test");
    	assertTrue(Loader.getSources() != null);
    	assertTrue(Loader.getUsers() != null);
    	Loader.setMainConfig("settings" + File.separator + "boa.cfg");
    }

}
