package org.qriterium.unit_tests.settings;

import org.qriterium.settings.Source;
import org.qriterium.settings.User;

import junit.framework.TestCase;

public class SourceTest extends TestCase {

    /*
     * Test method for 'org.qriterium.settings.Source.getFilename()'
     */
    public void testGetFilename() {
    	Source source = new Source();
    	source.setFilename("test");
    	assertEquals("test", source.getFilename());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getName()'
     */
    public void testGetName() {
    	Source source = new Source();
    	source.setName("test");
    	assertEquals("test", source.getName());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getUser()'
     */
    public void testGetUser() {
    	Source source = new Source();
    	User user = new User();
    	source.setUser(user);
    	assertEquals(user, source.getUser());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getInputDir()'
     */
    public void testGetInputDir() {
    	Source source = new Source();
    	source.setInputDir("dir");
    	assertEquals("dir", source.getInputDir());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getOutputDir()'
     */
    public void testGetOutputDir() {
    	Source source = new Source();
    	source.setOutputDir("dir");
    	assertEquals("dir", source.getOutputDir());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getDataDir()'
     */
    public void testGetDataDir() {
    	Source source = new Source();
    	source.setDataDir("dir");
    	assertEquals("dir", source.getDataDir());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getTransformer()'
     */
    public void testGetTransformer() {
    	Source source = new Source();
    	source.setTransformer("qs");
    	assertEquals("qs", source.getTransformer());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getPrinter()'
     */
    public void testGetPrinter() {
    	Source source = new Source();
    	source.setPrinter("console");
    	assertEquals("console", source.getPrinter());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getOutputFile()'
     */
    public void testGetOutputFile() {
    	Source source = new Source();
    	source.setOutputFile("file");
    	assertEquals("file", source.getOutputFile());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getGzip()'
     */
    public void testGetGzip() {
    	Source source = new Source();
    	source.setGzip(true);
    	assertTrue(source.getGzip());
    	source.setGzip(false);
    	assertFalse(source.getGzip());
    }

    /*
     * Test method for 'org.qriterium.settings.Source.getCutSize()'
     */
    public void testGetCutSize() {
    	Source source = new Source();
    	source.setCutSize(123);
    	assertEquals(123, source.getCutSize());
    }
}
