package org.qriterium.unit_tests.statement;

import junit.framework.TestCase;

import org.qriterium.statement.Organization;
import org.qriterium.util.XMLProperties;

/**
 * Unit test class for Organization
 * @author Arto
 *
 */
public class OrganizationTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.Organization.getSubTypeString()'
	 */
	public void testGetSubTypeString() {
		Organization o = new Organization("foo", "foo", "foo");
		assertEquals("organization", o.getSubTypeString());
	}

	/*
	 * Test method for 'org.qriterium.Organization.Organization(String)'
	 */
	public void testOrganization() {
		Organization o = new Organization("foo", "foo", "foo");
		assertEquals(o.getName(), "foo");
	}
	
	public void testGetStartTag() {
		Organization o = new Organization("foo", "foo", "foo");
		assertEquals(XMLProperties.ACTOR + " type=\"" + o.getSubTypeString() + "\"",
				 	 o.getStartTag());
	}

	public void testGetEndTag() {
		Organization o = new Organization("foo", "foo", "foo");
		assertEquals(XMLProperties.ACTOR, o.getEndTag());		
	}

	public void testGetXMLDataElements() {
		Organization o = new Organization("foo", "foo", "foo");
		assertEquals(1, o.getXMLDataElements().length);
		assertEquals(XMLProperties.ACTOR_RAWNAME, o.getXMLDataElements()[0].getName());
		assertEquals("foo", o.getXMLDataElements()[0].getValue());
		assertEquals(XMLProperties.NAMESPACE, o.getXMLDataElements()[0].getNamespace());
	}
}
