package org.qriterium.unit_tests.statement;

import junit.framework.TestCase;

import org.qriterium.statement.Person;
import org.qriterium.util.XMLProperties;

/**
 * Unit test class for Person
 * @author Arto
 *
 */
public class PersonTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.Person.getSubTypeString()'
	 */
	public void testGetSubTypeString() {
		Person p = new Person("foo", "foo", "foo");
		assertEquals("person", p.getSubTypeString());
	}

	/*
	 * Test method for 'org.qriterium.Person.Person(String)'
	 */
	public void testPerson() {
		Person p = new Person("foo", "foo", "foo");
		assertEquals("foo", p.getName());
	}
	
	public void testGetStartTag() {
		Person p = new Person("foo", "foo", "foo");
		assertEquals(XMLProperties.ACTOR + " type=\"" + p.getSubTypeString() + "\"",
				 	 p.getStartTag());
	}

	public void testGetEndTag() {
		Person p = new Person("foo", "foo", "foo");
		assertEquals(XMLProperties.ACTOR, p.getEndTag());		
	}

	public void testGetXMLDataElements() {
		Person p = new Person("foo", "foo", "foo");
		assertEquals(1, p.getXMLDataElements().length);
		assertEquals(XMLProperties.ACTOR_RAWNAME, p.getXMLDataElements()[0].getName());
		assertEquals("foo", p.getXMLDataElements()[0].getValue());
		assertEquals(XMLProperties.NAMESPACE, p.getXMLDataElements()[0].getNamespace());
	}
}
