package org.qriterium.unit_tests.statement;

import junit.framework.TestCase;

import org.qriterium.statement.QActor;
import org.qriterium.statement.Person;
import org.qriterium.statement.Organization;

/**
 * Unit test class for QActor
 * @author Arto
 *
 */
public class QActorTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.statement.QActor.setName(String)'
	 */
	public void testSetName() {
		QActor a = new Person("name", "foo", "foo");
		assertEquals("name", a.getName());
		a.setName("foo");
		assertEquals("foo", a.getName());
	}

	/*
	 * Test method for 'org.qriterium.statement.QActor.getName()'
	 */
	public void testGetName() {
		QActor a = new Person("name", "foo", "foo");
		assertEquals("name", a.getName());
	}

	/*
	 * Test method for 'org.qriterium.statement.QActor.getSubTypeString()'
	 */
	public void testGetSubTypeString() {
		QActor a = new Person("name", "foo", "foo");
		assertEquals("person", a.getSubTypeString());

		QActor b = new Organization("name", "foo", "foo");
		assertEquals("organization", b.getSubTypeString());
	}
    
    public void testToString() {
        QActor a = new Person("name", "foo", "foo");
        assertTrue(a.toString().indexOf("QActor") > 0);
    }

}
