package org.qriterium.unit_tests.statement;

import junit.framework.TestCase;

import org.qriterium.statement.Person;
import org.qriterium.statement.QActor;
import org.qriterium.statement.QDocument;
import org.qriterium.util.XMLDataElement;
import org.qriterium.util.XMLProperties;

/**
 * Unit test class for QDocument
 * @author Arto
 *
 */
public class QDocumentTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.statement.QDocument.setTitle(String)'
	 */
	public void testSetTitle() {
		try {
			QDocument doc;
			doc = new QDocument("title", "fi_FI", "foo", "foo", "foo");
			doc.setTitle("xyz");
			assertEquals("xyz", doc.getTitle());
		} catch (Exception e) { }
	}

	public void testSetFilename() {
		try {
			QDocument doc;
			doc = new QDocument("title", "fi_FI", "foo", "foo", "foo");
			doc.setFilename("bar");
			assertEquals("bar", doc.getFilename());
		} catch (Exception e) { }
	}
	/*
	 * Test method for 'org.qriterium.statement.QDocument.setLanguage(String)'
	 */
	public void testSetLanguage() {
		try {
			QDocument doc;
			doc = new QDocument("title", "fi_FI", "foo", "foo", "foo");
			doc.setLanguage("en_US");
			assertEquals("en_US", doc.getLanguage());
		} catch (Exception e) { }
	}


	public void testGetStartTag() {
		QDocument doc = new QDocument(null, null, null, null, null);
		assertEquals(XMLProperties.DOCUMENT, doc.getStartTag());
	}
	
	public void testGetEndTag() {
		QDocument doc = new QDocument(null, null, null, null, null);
		assertEquals(XMLProperties.DOCUMENT, doc.getEndTag());
	}
	
	public void testGetXMLDataElements() {
		QDocument doc = new QDocument("title", "language", "filename", "foo", "foo");
		assertEquals(3, doc.getXMLDataElements().length);
		assertTrue(arrayHasXmlElementThatHasSomeProperties(doc.getXMLDataElements(),
														   XMLProperties.NAMESPACE,
														   XMLProperties.DOCUMENT_RAWNAME,
														   doc.getTitle()));
		assertTrue(arrayHasXmlElementThatHasSomeProperties(doc.getXMLDataElements(),
														   XMLProperties.NAMESPACE,
														   XMLProperties.DOCUMENT_LANGUAGE,
														   doc.getLanguage()));
		assertTrue(arrayHasXmlElementThatHasSomeProperties(doc.getXMLDataElements(),
														   XMLProperties.NAMESPACE,
														   XMLProperties.DOCUMENT_FILENAME,
														   doc.getFilename()));
	}
	/*
	  new XMLDataElement(XMLProperties.DOCUMENT_TITLE, this.getTitle()),
	  new XMLDataElement(XMLProperties.DOCUMENT_LANGUAGE, this.getLanguage()),
	  new XMLDataElement(XMLProperties.DOCUMENT_PUBLISHED, QHeader.DATEFORMAT.format(this.getPublished())),
      new XMLDataElement(XMLProperties.DOCUMENT_OPENURL, this.getOpenURL().toString())
      */
	
	// :P
	private static boolean arrayHasXmlElementThatHasSomeProperties(XMLDataElement[] array,
																   String namespace,
																   String name,
																   String value) {
		for (int i=0; i < array.length; i++) {
			XMLDataElement e = array[i];
			if (e.getName().equals(name)
					&& e.getValue().equals(value)
					&& e.getNamespace().equals(namespace)) {
				return true;
			}
		}
		return false;
	}
    
    public void testToString() {
        QDocument doc;
        doc = new QDocument("title", "fi_FI", "foo", "foo", "foo");
        assertTrue(doc.toString().indexOf("QDocument") > 0);
    }
}
