package org.qriterium.unit_tests.statement;

import junit.framework.TestCase;

import org.qriterium.settings.SourceState;
import org.qriterium.statement.QHeader;
import java.util.Date;

/**
 * Unit test class for QHeader
 * @author Arto
 *
 */
public class QHeaderTest extends TestCase {
	
	/*
	 * Test method for 'org.qriterium.QHeader.getId()'
	 */
	public void testGetId() {
		QHeader h = new QHeader(1, null, null, null);
		assertEquals(1, h.getId());
	}

	/*
	 * Test method for 'org.qriterium.QHeader.getRawId()'
	 */
	public void testGetRawId() {
		QHeader h = new QHeader(1, null, "foo", null);
		assertEquals("foo", h.getRawId());
	}

	/*
	 * Test method for 'org.qriterium.QHeader.getAt()'
	 */
	public void testGetDatestamp() {
		Date d = new Date();
		QHeader h = new QHeader(1, "foo", null, d);
		
		assertEquals(d, h.getAt());
	}
	
	public void testGetXMLDataElementsWithOldSourceState() {
		SourceState sourceState = new SourceState();
		QHeader h = new QHeader(1, "foo", "foo", new Date());
		assertEquals(6, h.getXMLDataElements().length);
	}
}
