package org.qriterium.unit_tests.statement;

import java.util.Date;

import junit.framework.TestCase;
import org.qriterium.statement.*;
import org.qriterium.util.XMLProperties;

public class QStatementTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.statement.QStatement.QStatement(String, Date)'
	 */
	public void testQStatement() {

	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.setHeader(QHeader)'
	 */
	public void testSetHeader() {
		QStatement st = new QContent(null, null);
		QHeader h = new QHeader(0, null, null, null);
		st.setHeader(h);
		assertSame(h, st.getHeader());
	}


	/*
	 * Test method for 'org.qriterium.statement.QStatement.getId()'
	 */
	public void testGetId() {
		QStatement st = new QContent(null, null);
		assertTrue(st.getId() > 0);
		
		st.setHeader(null);
		assertEquals(0, st.getId());
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.getRawId()'
	 */
	public void testGetRawId() {
		QStatement st = new QContent("foo", "rawId");
		assertEquals("rawId", st.getRawId());
		
		st.setHeader(null);
		assertEquals(null, st.getRawId());
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.createdAt()'
	 */
	public void testAt() {
		QStatement st = new QContent("foo", "foo");
		Date d = new Date();
		QHeader h = new QHeader(0, "foo", "foo", d);
		st.setHeader(h);
		assertEquals(d, st.getAt());
		st.setHeader(null);
		assertEquals(null, st.getAt());
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.isConnectable()'
	 */
	public void testIsConnectable() {
		QStatement st = new QContent(null, null);
		assertTrue(st.isConnectable());
		QStatement st2 = new Person("foo", null, null);
		assertFalse(st2.isConnectable());
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.getXMLNamespace()'
	 */
	public void testGetXMLNamespace() {
		QStatement st = new QContent(null, null);
		assertEquals(XMLProperties.NAMESPACE, st.getXMLNamespace());
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.getHeader()'
	 */
	public void testGetHeader() {
		QStatement st = new QContent(null, null);
		st.setHeader(null);
		assertEquals(null, st.getHeader());
	}
	
	/*
	 * Test method for 'org.qriterium.statement.QStatement.getHash()'
	 */
	public void testGetHash() {
		QStatement st = new QContent("foo", null);
		assertEquals("foo", st.getHash());
		st.setHeader(null);
		assertEquals(null, st.getHash());
	}
    
    public void testToString() {
        QStatement a = new Person("name", "foo", "foo");
        assertTrue(a.toString().length() > 0);
    }
	
	/*
	 * Test method for 'org.qriterium.statement.QStatement.getXMLDataElements()'
	 */
	public void testGetXMLDataElements() {
		// abstract
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.getStartTag()'
	 */
	public void testGetStartTag() {
		// abstract
	}

	/*
	 * Test method for 'org.qriterium.statement.QStatement.getEndTag()'
	 */
	public void testGetEndTag() {
		// abstract
	}

}
