package org.qriterium.unit_tests.statement;

import junit.framework.TestCase;
import org.qriterium.statement.RawConnection;

/**
 * Unit test class for RawConnection
 * @author Arto
 *
 */
public class RawConnectionTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.RawConnection.getTo()'
	 */
	public void testGetTo() {
		String to = "bar";
		RawConnection rc = new RawConnection("foo", to, "test_type", "foo", "foo");
		assertEquals(to, rc.getTo());
	}

	/*
	 * Test method for 'org.qriterium.RawConnection.getFrom()'
	 */
	public void testGetFrom() {
		String from = "foo";
		RawConnection rc = new RawConnection(from, "bar", "test_type", "foo", "foo");
		assertEquals(from, rc.getFrom());
	}

	public void testToString() {
		RawConnection rc = new RawConnection("foo", "bar", "test_type", "foo", "foo");
		assertTrue(rc.toString().length() > 0);
	}
	
	public void testGetXMLDataElements() {
		RawConnection rc = new RawConnection("foo", "bar", "test_type", "foo", "foo");
		assertEquals(null, rc.getXMLDataElements());
	}
	
	public void testGetStartTag() {
		RawConnection rc = new RawConnection("foo", "bar", "test_type", "foo", "foo");
		assertEquals(null, rc.getStartTag());
	}

	public void testGetEndTag() {
		RawConnection rc = new RawConnection("foo", "bar", "test_type", "foo", "foo");
		assertEquals(null, rc.getEndTag());
	}
}
