package org.qriterium.unit_tests.transformer;

import org.qriterium.io.FileReader;
import org.qriterium.statement.QStatements;
import org.qriterium.transformer.QSTransformer;

import junit.framework.TestCase;

public class QSTransformerTest extends TestCase {

	/*
	 * Test method for 'org.qriterium.transformer.QSTransformer.transform()'
	 */
	public void testTransform() {
		QStatements qs = new QStatements();
		try {
			QSTransformer qst = 
				new QSTransformer();
		
			qst.transform(new FileReader("test_qs_sample.xml"), qs);
			
			assertEquals(7, qst.getStatementsCreated());
			assertEquals(7, qst.getValidItems());
			assertEquals(0, qst.getInvalidItems());		
		} catch (Exception e) { }
	}

	/*
	 * Test method for 'org.qriterium.transformer.QSTransformer.transform()'
	 */
	public void testTransformNotWellFormed() {
		QStatements qs = new QStatements();
		try {
			QSTransformer qst = 
				new QSTransformer();
		
			qst.transform(new FileReader("test_qs_sample_not_well_formed.xml"), qs);
			
			assertEquals(0, qst.getStatementsCreated());
		} catch (Exception e) { }
	}
	
}
