package org.qriterium.unit_tests.util;

import junit.framework.TestCase;
import org.qriterium.util.IdFactory;

/**
 * Unit test class for IdFactory
 * @author ekharkon
 */

public class IdFactoryTest extends TestCase {

	/**
	 * Tests that getUniqueId returns positive values greater than 0.
	 */
	public void testGetUniqueId() {
		long id;
		
		id = IdFactory.getUniqueId();
		
		assertTrue(id > 0);
	}
	
	/**
	 * Test that two returned ids are different.
	 */
	
	public void testGetUniqueIdTwoIds() {
		long id1, id2;
		
		id1 = IdFactory.getUniqueId();
		id2 = IdFactory.getUniqueId();
		
		assertTrue(id1 != id2);
	}
	
	/**
	 * Test getState method
	 */
	public void testGetState() {
		long id = IdFactory.getUniqueId();
		assertEquals(IdFactory.getState(), id + 1);
		assertEquals(IdFactory.getState(), id + 1);
	}
	
	/**
	 * Test store and retrieve
	 */
	public void testStoreRetrieve() {
		long id = IdFactory.getUniqueId();
		assertTrue(id > 0);
		
		IdFactory.store("idfactory.state.temp");
		long id2 = IdFactory.getUniqueId();
		
		IdFactory.retrieve("idfactory.state.temp");
		long id3 = IdFactory.getUniqueId();
		
		assertEquals(id2, id3);
		
		// load should faild for missing file
		IdFactory.retrieve("test_doesnt_exist");
		
		// save on existing directory should faild
		IdFactory.store("test");
	}
	
	/**
	 * Test getSerialID method
	 */
	public void testGetSerialID() {
		String id = IdFactory.getSerialID();
		
		assertEquals(id.length(), 36);
	}
}
