package org.qriterium.util;

import org.xml.sax.Attributes;
import org.xml.sax.helpers.DefaultHandler;

public class QStatementIndexCacheHandler extends DefaultHandler {
	enum Phase {NONE, MAP, ID, RAWID};
	Phase phase = Phase.MAP;
	Phase expected = Phase.MAP;
	
	private QStatementIndex statementIndex;
	
	private String id;
	private String rawId;
	
	public QStatementIndexCacheHandler(QStatementIndex statementIndex) {
		super();
		this.statementIndex = statementIndex;
	}

	public void startElement(String uri, String localName, String qName, Attributes atts) {
		if (qName.equals(QStatementIndex.XMLELEMENT_MAP)) {
			this.phase = Phase.MAP;
			this.id = null;
			this.rawId = null;
		}
		
		if (qName.equals(QStatementIndex.XMLELEMENT_ID)) {
			this.phase = Phase.ID;
		}
		if (qName.equals(QStatementIndex.XMLELEMENT_RAWID)) {
			this.phase = Phase.RAWID;
		}
	}

	public void endElement(String uri, String localName, String qName) {
		if (qName.equals(QStatementIndex.XMLELEMENT_MAP)) {
			this.statementIndex.putRaw(this.rawId, new Long(this.id));
			//System.out.println("added index: " + this.rawId + ">" + this.id);
		}
		
		/* SAX thinks you want the whitespace after end tag too, but that's 
		 * not the case obviously */
		this.phase = Phase.NONE;
	}

	public void characters(char[] ch, int start, int end) {
		switch (this.phase) {
			case ID:
				this.id = new String(ch, start, end);
				break;
			case RAWID:
				this.rawId = new String(ch, start, end);
				break;
		}
	}

}
