package org.qriterium.util;

public class StatusPrinter {
	static int temporaryChars;
	static int progressState;
	static char[] progressChars = {'|','/','-','\\'};
	
	static enum State {NONE, PRINT, PROGRESS};
	
	static State state;
	
	static {
		temporaryChars = 0;
		progressState = 0;
		state = State.NONE;
	}
	
	public static void printTemp(String str) {
		displayString(str);
		temporaryChars = str.length();
		state = State.PRINT;
	}
	
	public static void print(String str) {
		displayString(str);
		temporaryChars = 0;
		state = State.PRINT;
	}
	
	public static void println(String str) {
		print(str + "\n");
	}
	
	public static void printProgressChar() {
		if (state == State.PROGRESS) {
			System.out.print("\b");
		} else {
			temporaryChars++;
		}
		
		System.out.print(progressChars[progressState]);
		
		progressState = (progressState + 1) % progressChars.length;
		state = State.PROGRESS;
	}
	
	private static void displayString(String str) {
		int counter, length;
		
		// Return to previous cursor position
		counter = temporaryChars;
		while (counter-- > 0) {
			System.out.print('\b');
		}
		
		// Write new string
		System.out.print(str);

		length = temporaryChars - str.length();		

		// Wipe old characters
		counter = length;
		while (counter-- > 0) {
			System.out.print(' ');
		}

		// Return cursor to the end
		counter = length;
		while (counter-- > 0) {
			System.out.print('\b');
		}
	}
}
