package org.qriterium.util;
/**
 * Represents a single XML data element. Element name and element value.
 * @author Arto
 *
 */
public class XMLDataElement {
	private String namespace = XMLProperties.NAMESPACE;
	private String name;
	private String value;
	
	public XMLDataElement(String name, String value) {
		this.name = name;
		this.value = value;
	}
	
	/**
	 * Gets element namespace
	 * @return namespace
	 */
	public String getNamespace() {
		return this.namespace;
	}
	
	/**
	 * Gets element name
	 * @return element name
	 */
	public String getName() {
		return this.name;
	}
	
	/**
	 * Gets element value
	 * @return value
	 */
	public String getValue() {
		return this.value;
	}
}
